# -*- coding: utf-8 -*-
import pymel.core as pm
import mtoa.utils as utils
import mtoa.ui.ae.utils as aeUtils
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate


class AEaiFlakesTemplate(ShaderAETemplate):

   
    def setup(self):
        self.addSwatch()
       
        self.beginScrollLayout()
        
        self.beginLayout('片状', collapse=False)
        self.addControl('scale', label='规模')
        self.addControl('size', label='大小')
        self.addControl('normalRandomize', label='标准随机化')        
        self.addControl('coordSpace', label='坐标空间')
        self.addControl('outputSpace', label='输出空间')
        
        self.endLayout()
  
        # include/call base class/node attributes
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        
        self.endScrollLayout()
